<?xml version="1.0" encoding="UTF-8"?>
<templates id="template" xml:space="preserve">

    <t t-name="SubmitOrderButton">
        <span class="control-button order-submit">
            <i class="fa fa-cutlery"></i>
            Order
        </span>
    </t>

    <t t-name="NameWrapped">
        <t t-foreach="change.name_wrapped.slice(1)" t-as="wrapped_line">
            <div>
                <span class="pos-receipt-right-align" t-esc="wrapped_line"/>
            </div>
        </t>
    </t>

    <t t-name="OrderChangeReceipt">
        <div class="pos-receipt">
            <div class="pos-receipt-order-data"><t t-esc="changes.name" /></div>
            <t t-if="changes.floor || changes.table">
                <br />
                <div class="pos-receipt-title">
                    <t t-esc="changes.floor" /> / <t t-esc="changes.table"/>
                </div>
            </t>
            <t t-if="widget.changed &amp;&amp; widget.changed.client &amp;&amp; widget.changed.client.name">
                <div class="pos-receipt-title">
                    Cliente: <t t-esc='widget.changed.client.name'/>
                </div>
            </t>
            <br />
            <br />
            <t t-if="changes.cancelled.length > 0">
                <div class="pos-order-receipt-cancel">
                    <div class="pos-receipt-title">
                        CANCELLED
                        <t t-esc='changes.time.hours'/>:<t t-esc='changes.time.minutes'/>
                    </div>
                    <br />
                    <br />
                    <t t-foreach="changes.cancelled" t-as="change">
                        <div>
                            <t t-esc="change.qty"/>
                            <span t-esc="change.name_wrapped[0]" class="pos-receipt-right-align"/>
                        </div>
                        <t t-call="NameWrapped"/>
                        <t t-if="change.note">
                            <div>
                                NOTE
                                <span class="pos-receipt-right-align">...</span>
                            </div>
                            <div><span class="pos-receipt-left-padding">--- <t t-esc="change.note" /></span></div>
                            <br/>
                        </t>
                    </t>
                    <br />
                    <br />
                </div>
            </t>
            <t t-if="changes.new.length > 0">
                <div class="pos-receipt-title">
                    NEW
                    <t t-esc='changes.time.hours'/>:<t t-esc='changes.time.minutes'/>
                </div>
                <br />
                <br />
                <t t-foreach="changes.new" t-as="change">
                    <div>
                        <t t-esc="change.qty"/>
                        <span t-esc="change.name_wrapped[0]" class="pos-receipt-right-align"/>
                    </div>
                    <t t-call="NameWrapped"/>
                    <t t-if="change.note">
                        <div>
                            NOTE
                            <span class="pos-receipt-right-align">...</span>
                        </div>
                        <div><span class="pos-receipt-left-padding">--- <t t-esc="change.note" /></span></div>
                        <br/>
                    </t>
                </t>
                <br />
                <br />
            </t>
        </div>
    </t>

</templates>
